com.opensymphony.xwork2.conversion.impl

## Class DefaultTypeConverterCreator

- java.lang.Object
- - com.opensymphony.xwork2.conversion.impl.DefaultTypeConverterCreator

- All Implemented Interfaces:
    TypeConverterCreator

      public class DefaultTypeConverterCreator
      extends Object
      implements TypeConverterCreator

  Default implementation of `TypeConverterCreator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTypeConverterCreator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeConverter` | `createTypeConverter(Class<?> clazz)` Creates `TypeConverter` from given class
    `TypeConverter` | `createTypeConverter(String className)` Creates `TypeConverter` from given class
    `protected TypeConverter` | `getTypeConverter(Object obj)`
    `void` | `setObjectFactory(ObjectFactory objectFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTypeConverterCreator

          public DefaultTypeConverterCreator()

  - ### Method Detail

    - #### setObjectFactory

          public void setObjectFactory(ObjectFactory objectFactory)

    - #### createTypeConverter

          public TypeConverter createTypeConverter(String className)
                                            throws Exception

      Description copied from interface: `TypeConverterCreator`
      Creates `TypeConverter` from given class
      Specified by:
        `createTypeConverter` in interface `TypeConverterCreator`
      Parameters:
        `className` - convert class
      Returns:
        instance of `TypeConverter`
      Throws:
        `Exception` - when cannot create/cast to `TypeConverter`

    - #### createTypeConverter

          public TypeConverter createTypeConverter(Class<?> clazz)
                                            throws Exception

      Description copied from interface: `TypeConverterCreator`
      Creates `TypeConverter` from given class
      Specified by:
        `createTypeConverter` in interface `TypeConverterCreator`
      Parameters:
        `clazz` - convert class
      Returns:
        instance of `TypeConverter`
      Throws:
        `Exception` - when cannot create/cast to `TypeConverter`

    - #### getTypeConverter

          protected TypeConverter getTypeConverter(Object obj)

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.